curl -X PATCH "https://api.scanova.io/media/bulk/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "status": "completed" }'
{
"id": 12,
"operation_id": "BM-9F3K2LQP",
"status": "completed",
"count": 25,
"upload_count": 25,
"created": "2026-09-08T09:00:00Z",
"modified": "2026-09-08T09:10:00Z"
}
Medienbibliothek
Massen-Medien-Batch aktualisieren
PATCH /media/bulk//
PATCH
/
media
/
bulk
/
{pk}
/
curl -X PATCH "https://api.scanova.io/media/bulk/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "status": "completed" }'
{
"id": 12,
"operation_id": "BM-9F3K2LQP",
"status": "completed",
"count": 25,
"upload_count": 25,
"created": "2026-09-08T09:00:00Z",
"modified": "2026-09-08T09:10:00Z"
}
Aktualisiert einen Massen-Medien-Batch, der diesem Konto gehört, auf dem Management-API-Host (
Sowohl
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
PUT https://api.scanova.io/media/bulk/{pk}/
PATCH https://api.scanova.io/media/bulk/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
erforderlich
Die
id des Batches.string
new, completed oder failed.integer
Aktualisierte erwartete Dateianzahl — eine Änderung führt die
BULK_MEDIA-Quota-Prüfung erneut aus.curl -X PATCH "https://api.scanova.io/media/bulk/12/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "status": "completed" }'
{
"id": 12,
"operation_id": "BM-9F3K2LQP",
"status": "completed",
"count": 25,
"upload_count": 25,
"created": "2026-09-08T09:00:00Z",
"modified": "2026-09-08T09:10:00Z"
}
PUT als auch PATCH werden unterstützt. 403, wenn eine Änderung von count die BULK_MEDIA-Quota-Prüfung nicht besteht. 404, wenn pk keinem Batch entspricht, der diesem Konto gehört.
Verwandte Themen
- Massen-Medien-Batch abrufen — vor der Aktualisierung ansehen.
- Massen-Medien-Batch löschen — ihn vollständig entfernen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
Batch updated.
War diese Seite hilfreich?